<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2025-01-10 15:14:58
////////////////////


/**
 * Static Model activeTask 活动任务
 */
class sm_activeTask
{

    /**
    * @var Int32 索引 default(0) 
    */
    public $id;

    /**
    * @var String 名称  
    */
    public $name;

    /**
    * @var Int32 天 default(0) 
    */
    public $day;

    /**
    * @var Int32 解锁内容类型 1: 7日狂欢 2 日常 3周常 4 :主线任务 default(0) 
    */
    public $type;

    /**
    * @var Int32 事件件码指令（详见文档）
    *  101: 每日登录游戏;参数1:无;参数2:登录次数
    *  102: 登录第X天;参数1:无,参数2:天数(数值)
    *  103:领取一次活动奖励;参数1:无;参数2:次数
    *  201: 通关第X关;参数1:关卡ID;参数2:通关次数;
    *  202: 参与主线关卡X次;参数1:无;参数2:参与次数(数值)
    *  203: 参与挑战副本X次;参数1:无;参数2:参与次数(数值)
    *  204: 通过挑战副本X层,参数1:无,参数2:挑战层数(数值)
    *  205: 通关竞速副本X次;参数1:无;参数2:参与次数(数值)
    *  206: 进入第X关;参数1:关卡ID;参数2:进入次数
    *  207: 通关主线挑战第X关的X模式X次;参数1:关卡ID和难度(1普通,2困难,3噩梦),逗号分隔。;参数2:次数
    *  208: 领取关卡排行榜元宝奖励X次;参数1:无;参数2:次数(数值)
    *  209: 玩家等级到达X级;参数1:无;参数2:等级(数值)
    *  210:通关第X关;参数1:关卡ID;参数2:通关次数(记录已通关状态)
    *  211:扫荡关卡X次;参数1:无;参数2:次数
    *  212:领取X次战力榜奖励;参数1:无;参数2:次数
    *  213:封印X次技能;参数1:无;参数2:次数
    *  301: 完成X次启灵;参数1:无;参数2:次数(数值)
    *  302: 完成X次关键启灵;参数1:无;参数2:次数(数值)
    *  401: 镶嵌X个X品质以上宝石;参数1:宝石品质(数值);参数2:宝石数量
    *  402: 合成X次宝石;参数1:无;参数2:合成次数(数值)
    *  501: 任意1个法术等级达到2;参数1:法术等级;参数2:法术数量
    *  601: 任意1件装备等级达到X级;参数1:等级(数值);参数2:装备数量
    *  602: 全身装备等级达到X级以上;参数1:等级(数值);参数2:装备数量
    *  603: 装备等级升级X次;参数1:无;参数2:升级次数
    *  701: 击败怪物总数达到X;参数1:无;参数2:数量
    *  702: 击败首领50个;参数1:无;参数2:数量
    *  801: 累计获取X金币;参数1:无;参数2:数量
    *  802: 累计消耗X体力;参数1:无;参数2:数量
    *  803: 累计消耗X钻石;参数1:无;参数2:数量
    *  901: 开启X次璀璨宝石箱;参数1:宝箱类型(1:普通,2:璀璨);参数2:次数
    *  902: 每日商店购买物品X次;参数1:无;参数2: default(0) 
    */
    public $cmd;

    /**
    * @var String 参数 (若参数为多个,需要自己跟策划约定好解析规则)这里面都是用的==判断  
    */
    public $paras;

    /**
    * @var Int32 条件计数 (max)(>=max) default(1) 
    */
    public $num;

    /**
    * @var String 奖励类型，数量  
    */
    public $prizes;

    /**
    * @var String 描述  
    */
    public $des;

    /**
    * @var String 图标  
    */
    public $icon;

    /**
    * @var String 其他  
    */
    public $etc;

    /**
    * @var String 活跃点  
    */
    public $activePoint;

    /**
    * @var Int32 前往类型
    *  0:没有前往按钮
    *  1:前往通关
    *  2:装备界面
    *  3:商城界面
    *  4:前往挑战模式界面
    *  5:前往购买体力界面
    *  6.前往启灵界面
    *  7.前往排行榜界面
    *  8: 封印界面 default(0) 
    */
    public $gotoType;

    /**
    * @var Int32 主线下一个任务id default(0) 
    */
    public $next;

}

